Subject: Re: bug#79024: 31.0.50; Multiple working trees support for VC

From: Dmitry Gutov <[email-masked]>
Date: Tue, 29 Jul 2025 05:46:19 +0300

On 15/07/2025 14:50, Sean Whitton wrote:
> - Does project.el need to know about these relationships between trees,
>    or do we leave it all up to VC?  I think the latter.  I.e., from
>    project.el's point of view, each working tree is its own project.

Strictly speaking, any of the other worktree directories might not be 
recognized by project.el as projects, if the user had set up their own 
special backend and removed the default one.

But we probably don't have to be concerned about this scenario too much, 
if otherwise we save a bunch of work in implementation.

> - How are the bindings I've suggested?  Intuitive enough?

The bindinds look nice to me too.